Change the rental term associated with the car
Change the binding and consent status for data transfer to promote a rental offer
Request
PUT
https://fleet-api.taxi.yandex.net/v1/parks/vehicles/rent-details
Query parameters
|
Name |
Description |
|
vehicle_id |
Type: string Vehicle ID Example: |
Headers
|
Name |
Description |
|
X-API-Key |
Type: string API-key Min length: Example: |
|
X-Client-ID |
Type: string Client ID Min length: Example: |
|
X-Park-ID |
Type: string Partner ID Example: |
Body
application/json
{
"platform_channels_enabled": true,
"rent_term_id": "example"
}
|
Name |
Description |
|
platform_channels_enabled |
Type: PlatformChannelsEnabled Consent to transfer car data to platform acquisition channels Default: Example: |
|
rent_term_id |
Type: RentTermId Rent term ID Example: |
PlatformChannelsEnabled
Consent to transfer car data to platform acquisition channels
Type: boolean
Default: true
RentTermId
Rent term ID
Type: string
Example: example
Responses
200 OK
Request has been successfully processed
Body
application/json
{}
|
Name |
Description |
400 Bad Request
Invalid request parameters Possible error codes:
- rule_not_found - A rule with such ID does not exist
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
401 Unauthorized
Request authorization parameters are missing
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
403 Forbidden
Insufficient rights to execute the request
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
404 Not Found
Requested resource was not found
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
429 Too Many Requests
Limit of requests was exceeded
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
500 Internal Server Error
Internal server error
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |